Skip to main content
GET
Org-wide customer aggregations

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

orgId
string
required

Organization ID

Query Parameters

to
string

ISO-8601 end.

from
string

ISO-8601 start.

Response

customerCount
number
required

Total customers ever seen for this org.

Example:

128

purchaseCount
number
required

Count of purchase transactions in range.

Example:

47

totalSpent
string
required

Sum of purchase prices in range, serialised as a string (bigint).

Example:

"125000000"

timeSeries
object[]
required

Gap-filled daily series.

from
string
required

Start of the requested window (ISO-8601).

Example:

"2026-05-01T00:00:00.000Z"

to
string
required

End of the requested window (ISO-8601).

Example:

"2026-05-31T23:59:59.000Z"